If you are currently using iOS 5, 6 or 7 you may experience issues with viewing some parts of the Black Moon Hosting website.

This problem is caused by out-of-date software associated with iOS 5, 6 and 7.

It is recommended that you upgrade to iOS 8 in order to view our new website design properly.


Regards,
Black Moon Hosting - Technical Department

Thursday, March 5, 2015





« Back